Bug 177221 - [PATCH] cad/impact: Makefile tweaks, change Homepage
Summary: [PATCH] cad/impact: Makefile tweaks, change Homepage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 04:30 UTC by nemysis
Modified: 2013-03-25 03:00 UTC (History)
0 users

See Also:


Attachments
impact-0.7.06.038_1,1.patch (3.97 KB, patch)
2013-03-22 04:30 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-22 04:30:00 UTC
- Makefile tweaks
- Add Icons
- Change Homepage
- Bump portrevision

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 04:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Beech Rintoul freebsd_committer 2013-03-24 18:54:45 UTC
State Changed
From-To: open->patched

In progress
Comment 3 dfilter service freebsd_committer 2013-03-25 02:51:29 UTC
Author: beech
Date: Mon Mar 25 02:51:20 2013
New Revision: 315190
URL: http://svnweb.freebsd.org/changeset/ports/315190

Log:
  - Makefile tweaks
  - Add Icons
  - Change Homepage
  - Bump portrevision
  
  PR:		ports/177221
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/cad/impact/Makefile
  head/cad/impact/distinfo
  head/cad/impact/pkg-descr   (contents, props changed)

Modified: head/cad/impact/Makefile
==============================================================================
--- head/cad/impact/Makefile	Mon Mar 25 01:52:06 2013	(r315189)
+++ head/cad/impact/Makefile	Mon Mar 25 02:51:20 2013	(r315190)
@@ -3,52 +3,65 @@
 
 PORTNAME=	impact
 PORTVERSION=	0.7.06.038
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	cad java
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Version%20${PORTVERSION}
-DISTNAME=	Impact-${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/Version%20${PORTVERSION} \
+		SF/nemysisfreebsdp/:icons
+DISTFILES=	Impact-${DISTVERSION}${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	Impact-${DISTVERSION}${EXTRACT_SUFX}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Dynamic Finite Element Program Suite
 
+LICENSE=	GPLv2
+
 RUN_DEPENDS=	java3d>0:${PORTSDIR}/java/java3d
 
 WRKSRC=		${WRKDIR}/Impact
-NO_BUILD=	yes
 
 USE_ZIP=	yes
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
+NO_BUILD=	yes
 
 DATADIR=	${JAVASHAREDIR}/Impact
 
 SUB_FILES=	impact impactgui
 
-PLIST=		${WRKDIR}/PLIST
+PLIST_FILES=	bin/impact \
+		bin/impactgui \
+		share/pixmaps/impact.png
+
+OPTIONS_DEFINE=	GMSH
+
+GMSH_DESC=	Enable automatic 3D finite element mesh generator
 
-pre-install:
-	@${ECHO_CMD} -n > ${PLIST}
-	@${ECHO_CMD} "bin/impact" >> ${PLIST}
-	@${ECHO_CMD} "bin/impactgui" >> ${PLIST}
-	@(cd ${WRKDIR} && ${FIND} Impact ! -type d | ${GREP} -v \
-		-e "CVS" -e "lib_j3d" -e "\.bat" -e "\.dll" -e "\.ico" \
-		-e "\.jnilib" -e "\.sh" -e "\.so" | ${SORT} | \
-		${SED} "s|^Impact|%%DATADIR%%|" >> ${PLIST})
-	@(cd ${WRKDIR} && ${FIND} Impact -type d | ${GREP} -v \
-		-e "CVS" -e "lib_j3d" -e "\.bat" -e "\.dll" -e "\.ico" \
-		-e "\.jnilib" -e "\.sh" -e "\.so" | ${SORT} -r | \
-		${SED} "s|^Impact|@dirrm %%DATADIR%%|" >> ${PLIST})
+DESKTOP_ENTRIES="Impact" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}gui" "Graphics;3DGraphics;Education;" false
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MGMSH}
+RUN_DEPENDS+=	gmsh:${PORTSDIR}/cad/gmsh
+.endif
+
+post-extract:
+	@${FIND} ${WRKSRC} -name CVS -type d -print0 -or -name .cvsignore -type f -print0 | \
+		${XARGS} -0 ${RM} -rf
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKDIR}/impact ${PREFIX}/bin
-	${INSTALL_SCRIPT} ${WRKDIR}/impactgui ${PREFIX}/bin
-	@${MKDIR} ${DATADIR}
-	@(${TAR} -C ${WRKSRC} --exclude "CVS" --exclude "lib_j3d" \
-		--exclude "*.bat" --exclude "*.dll" --exclude "*.ico" \
-		--exclude "*.jnilib" --exclude "*.sh" --exclude "*.so" \
-		-cf - . | ${TAR} -C ${DATADIR} --unlink -xf -)
-	@${FIND} ${DATADIR} | ${XARGS} ${CHOWN} ${SHAREOWN}:${SHAREGPR}
-	@${FIND} ${DATADIR} -type d | ${XARGS} ${CHMOD} a+rx
-	@${FIND} ${DATADIR} -type f | ${XARGS} ${CHMOD} ${SHAREMODE}
+	${INSTALL_SCRIPT} ${WRKDIR}/impact ${WRKDIR}/impactgui ${PREFIX}/bin
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} . ${DATADIR})
+
+post-install:
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png ${PREFIX}/share/pixmaps
+
+	@${FIND} ${DATADIR} ! -type d | \
+		${SED} 's|^${PREFIX}/||' >> ${TMPPLIST}
+	@${FIND} ${DATADIR} -type d | ${SORT} -r | \
+		${SED} 's|^${PREFIX}/|@dirrm |' >> ${TMPPLIST}
 
 .include <bsd.port.mk>

Modified: head/cad/impact/distinfo
==============================================================================
--- head/cad/impact/distinfo	Mon Mar 25 01:52:06 2013	(r315189)
+++ head/cad/impact/distinfo	Mon Mar 25 02:51:20 2013	(r315190)
@@ -1,2 +1,4 @@
-SHA256 (Impact-0.7.06.038.zip) = 85ad4a1506a5dd22adc020b44cb9adf27d77253fcf84b4d1b8a339e2e3922ed6
-SIZE (Impact-0.7.06.038.zip) = 13757964
+SHA256 (impact/Impact-0.7.06.038.zip) = 85ad4a1506a5dd22adc020b44cb9adf27d77253fcf84b4d1b8a339e2e3922ed6
+SIZE (impact/Impact-0.7.06.038.zip) = 13757964
+SHA256 (impact/impact.png) = a59d37cb161cfdf3961d90522c7f4a02644c4698a0cf17722949914f7399c4d5
+SIZE (impact/impact.png) = 2908

Modified: head/cad/impact/pkg-descr
==============================================================================
--- head/cad/impact/pkg-descr	Mon Mar 25 01:52:06 2013	(r315189)
+++ head/cad/impact/pkg-descr	Mon Mar 25 02:51:20 2013	(r315190)
@@ -3,4 +3,4 @@ events. It has a range of elements, cont
 laws. Models can be created and viewed with external programs or the
 included postprocessor.
 
-WWW: http://impact.sourceforge.net/
+WWW: http://www.impact-fem.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2013-03-25 02:51:40 UTC
State Changed
From-To: patched->closed

Committed, Thanks!